#ifndef SYSTEMTIME_H
#define SYSTEMTIME_H

#include <QWidget>
#include <QLabel>
#include <QGridLayout>
#include <QLineEdit>
#include <QRegExpValidator>

class SystemTime : public QWidget
{
    Q_OBJECT
public:
    explicit SystemTime(QWidget *parent = 0);
    
signals:
    void timeToSendChanged(long timeToSend);
    
public slots:
    void editingFinishedSLOT();
    void systemTimeHasChanged(long time);

private:
    long currentTime;

    QLabel *currentTimePrefix_LABEL;
    QLabel *currentTime_LABEL;
    QLabel *timeToSend_LABEL;

    QGridLayout *main_LAYOUT;

    QLineEdit *timeToSend;

    QRegExpValidator *validator;
};

#endif // SYSTEMTIME_H
